Upstream information

CVE-2021-3623 at MITRE

Description

A flaw was found in libtpms. The flaw can be triggered by specially-crafted TPM 2 command packets containing illegal values and may lead to an out-of-bounds access when the volatile state of the TPM 2 is marshalled/written or unmarshalled/read. The highest threat from this vulnerability is to system availability.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 3.6
Vector AV:L/AC:L/Au:N/C:P/I:N/A:P
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.1 6.1
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:H CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:H
Attack Vector Local Local
Attack Complexity Low Low
Privileges Required Low Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact Low Low
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1187767 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Server Applications 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • libtpms-devel >= 0.8.2-150300.3.6.1
  • libtpms0 >= 0.8.2-150300.3.6.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP3-2022-4457
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Server Applications 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • libtpms-devel >= 0.8.2-150300.3.6.1
  • libtpms0 >= 0.8.2-150300.3.6.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP4-2022-4457
SUSE Linux Enterprise Micro 5.1
  • libtpms0 >= 0.8.2-150300.3.6.1
Patchnames:
SUSE-SUSE-MicroOS-5.1-2022-4457
SUSE Linux Enterprise Micro 5.2
  • libtpms0 >= 0.8.2-150300.3.6.1
Patchnames:
SUSE-SUSE-MicroOS-5.2-2022-4457
SUSE Linux Enterprise Micro 5.3
  • libtpms0 >= 0.8.2-150300.3.6.1
Patchnames:
SUSE-SLE-Micro-5.3-2022-4457
openSUSE Leap 15.3
  • libtpms-devel >= 0.8.2-150300.3.6.1
  • libtpms0 >= 0.8.2-150300.3.6.1
Patchnames:
openSUSE-SLE-15.3-2022-4457
openSUSE Leap 15.4
  • libtpms-devel >= 0.8.2-150300.3.6.1
  • libtpms0 >= 0.8.2-150300.3.6.1
Patchnames:
openSUSE-SLE-15.4-2022-4457
openSUSE Leap Micro 5.2
  • libtpms0 >= 0.8.2-150300.3.6.1
Patchnames:
openSUSE-Leap-Micro-5.2-2022-4457
openSUSE Leap Micro 5.3
  • libtpms0 >= 0.8.2-150300.3.6.1
Patchnames:
openSUSE-Leap-Micro-5.3-2022-4457
openSUSE Tumbleweed
  • libtpms-devel >= 0.9.3-2.1
  • libtpms0 >= 0.9.3-2.1
Patchnames:
openSUSE Tumbleweed GA libtpms-devel-0.9.3-2.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 libtpms Released
SUSE Linux Enterprise High Performance Computing 15 SP4 libtpms Released
SUSE Linux Enterprise Micro 5.1 libtpms Released
SUSE Linux Enterprise Micro 5.2 libtpms Released
SUSE Linux Enterprise Micro 5.3 libtpms Released
SUSE Linux Enterprise Micro for Rancher 5.2 libtpms Released
SUSE Linux Enterprise Micro for Rancher 5.3 libtpms Released
SUSE Linux Enterprise Module for Server Applications 15 SP4 libtpms Released
SUSE Linux Enterprise Real Time 15 SP3 libtpms Released
SUSE Linux Enterprise Server 15 SP4 libtpms Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 libtpms Released
SUSE Manager Proxy 4.2 libtpms Released
SUSE Manager Proxy 4.3 libtpms Released
SUSE Manager Retail Branch Server 4.2 libtpms Released
SUSE Manager Retail Branch Server 4.3 libtpms Released
SUSE Manager Server 4.2 libtpms Released
SUSE Manager Server 4.3 libtpms Released
openSUSE Leap 15.4 libtpms Released
openSUSE Leap Micro 5.3 libtpms Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 SP3 libtpms Released
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS libtpms Released
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS libtpms Released
SUSE Linux Enterprise Module for Server Applications 15 SP3 libtpms Released
SUSE Linux Enterprise Server 15 SP3 libtpms Released
SUSE Linux Enterprise Server 15 SP3-LTSS libtpms Affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP3 libtpms Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 libtpms Released
Products past their end of life and not receiving proactive updates anymore.
SUSE Linux Enterprise Server 15 SP3-BCL libtpms Affected
openSUSE Leap 15.3 libtpms Released


SUSE Timeline for this CVE

CVE page created: Mon Jun 28 12:47:37 2021
CVE page last modified: Fri Jan 20 15:48:05 2023